/*  MaViLla: Marcador y Visualizador de Llamadas
 *
 *  Copyright (C) 2011  Area de Servicios Telematicos
 *			CSIRC
 *			Universidad de Granada
 *			telematica@ugr.es
 *  
 *  Version: 1.1
 *  Last Modified: 30 May 2011
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#include "imagen.h"
#include <QMessageBox>

Imagen::Imagen(QWidget *parent) :
    QWidget(parent), img("")
{
}

Imagen::Imagen(QString path, QWidget *parent) :
    QWidget(parent), img(path)
{
	// Si la imagen no es nula, redimensiono el widget y pinto la imagen encima
    if( !img.isNull() )
    {
        this->resize(img.width(),img.height());
        repaint();
    }
//    else
//        QMessageBox::critical(0, QObject::tr("Systray"),QObject::tr("No se han encontrado las imagenes "));
}


void Imagen::paintEvent(QPaintEvent*)
{
    // Pinto la imagen si no es nula
    if( !img.isNull() )
    {
        QPainter painter(this);
        painter.setClipRect(0,0,img.width(),img.height());
        painter.setRenderHint(QPainter::Antialiasing, true);
        painter.drawImage(0,0,img);
    }
}
